Uploaded image for project: 'ui-finance'
  1. ui-finance
  2. UIF-307

eslint@"^7.7.0" causes peer-dep inconsistency

    XMLWordPrintable

    Details

    • Type: Story
    • Status: Closed (View Workflow)
    • Priority: P3
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 2.4.0
    • Labels:
    • Template:
      Front-end User Story Template
    • Sprint:
      ACQ Sprint 116
    • Story Points:
      1
    • Development Team:
      Thunderjet

      Description

      npm WARN ERESOLVE overriding peer dependency
      npm WARN Found: eslint@7.26.0
      npm WARN ui-finance/node_modules/eslint
      npm WARN   dev eslint@"^7.7.0" from ui-finance@2.3.3
      npm WARN   ui-finance
      npm WARN   2 more (eslint-plugin-jest-dom, @typescript-eslint/experimental-utils)
      npm WARN 
      npm WARN Could not resolve dependency:
      npm WARN peer eslint@"^5 || ^6" from eslint-plugin-testing-library@3.8.0
      npm WARN ui-finance/node_modules/eslint-plugin-testing-library
      npm WARN   dev eslint-plugin-testing-library@"3.8.0" from ui-finance@2.3.3
      npm WARN   ui-finance
       

        TestRail: Results

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                Andrei Shumski2 Andrei Shumski
                Reporter:
                zburke Zak_Burke
                Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved:

                    TestRail: Runs

                      TestRail: Cases